/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.auth;

/**
 * This exception denotes user has cancelled authentication process
 * @author chm
 *
 */
public class AuthenticationCancelationException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1619493556969100527L;

	public AuthenticationCancelationException() {
		super();
	}

	public AuthenticationCancelationException(String message) {
		super(message);
	}

	public AuthenticationCancelationException(String message, Throwable cause) {
		super(message, cause);
	}

	public AuthenticationCancelationException(Throwable cause) {
		super(cause);
	}

}
